## ros-noetic-costmap-cspace-msgs 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(costmap_cspace_msgs)

set(MESSAGE_DEPENDS
  geometry_msgs
  std_msgs
)

find_package(catkin REQUIRED COMPONENTS message_generation ${MESSAGE_DEPENDS})

add_message_files(
  FILES
    CSpace3D.msg
    CSpace3DUpdate.msg
    MapMetaData3D.msg
)
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDS})
catkin_package(CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDS})

## ros-noetic-costmap-cspace-msgs 0.12.0

=== debian/changelog ===
ros-noetic-costmap-cspace-msgs (0.12.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.8.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.7.0-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.5.0-1buster) buster; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#15 <https://github.com/at-wat/neonavigation_msgs/issues/15>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.3.1-1buster) buster; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jan 2019 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.3.0-1buster) buster; urgency=high

  * Fix package dependencies (#5 <https://github.com/at-wat/neonavigation_msgs/issues/5>)
    
      * Fix package dependencies
      * Migrate to manifest format 2
      * Add catkin_lint test
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.2.0-1buster) buster; urgency=high

  * Fix package dependencies (#2 <https://github.com/at-wat/neonavigation_msgs/issues/2>)
  * Fix package versions (#1 <https://github.com/at-wat/neonavigation_msgs/issues/1>)
  * Initial drop from neonavigation meta-package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-costmap-cspace-msgs
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-costmap-cspace-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Message definitions for costmap_cspace package

## ros-noetic-costmap-cspace-msgs 0.14.0

=== debian/changelog ===
ros-noetic-costmap-cspace-msgs (0.14.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.12.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.8.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 03 Mar 2020 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.7.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.5.0-1focal) focal; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#15 <https://github.com/at-wat/neonavigation_msgs/issues/15>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 02 Oct 2019 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.3.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jan 2019 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.3.0-1focal) focal; urgency=high

  * Fix package dependencies (#5 <https://github.com/at-wat/neonavigation_msgs/issues/5>)
    
      * Fix package dependencies
      * Migrate to manifest format 2
      * Add catkin_lint test
    
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Dec 2018 00:00:00 -0000

ros-noetic-costmap-cspace-msgs (0.2.0-1focal) focal; urgency=high

  * Fix package dependencies (#2 <https://github.com/at-wat/neonavigation_msgs/issues/2>)
  * Fix package versions (#1 <https://github.com/at-wat/neonavigation_msgs/issues/1>)
  * Initial drop from neonavigation meta-package
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jun 2018 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-costmap-cspace-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
